%% -----------------
%% Copyright © 2022 ACK Cyfronet AGH, Poland.
%% -----------------
%%
%% Sample function created for demonstration of creating custom applications functionality
%% See also https://docs.cyfronet.pl/display/ISDOC/Creating+Custom+Applications
%%
function outVector = sampleApp(inVector, multiplicator)

%% sampleApp function that multiplies a vector of number values by a multiplicator and plots the result
%
% Inputs:
%   - inVector - vector of double number values
%   - multiplicator - scalar number by which the inVector will be multiplied  
%
% Outputs:
%   - outVector - vector of double being a result of multiplicatio of inVector by multiplicator
%

    outVector = inVector .* multiplicator;

end
